%global momorel 3

Name:           perl-Devel-StackTrace
Version:        1.20
Release:        %{momorel}m%{?dist}
Epoch:		1
Summary:        Stack trace and stack trace frame objects
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Devel-StackTrace/
Source0:        http://www.cpan.org/modules/by-module/Devel/Devel-StackTrace-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Module-Build
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The Devel::StackTrace module contains two classes, Devel::StackTrace and
Devel::StackTraceFrame. The goal of this object is to encapsulate the
information that can found through using the caller() function, as well as
providing a simple interface to this data.

%prep
%setup -q -n Devel-StackTrace-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Jul 15 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.20-3m)
- add Epoch: 1 to enable upgrading from STABLE_5
- DO NOT REMOVE Epoch FOREVER

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.20-2m)
- rebuild against rpm-4.6

* Tue Oct 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-1m)
- update to 1.20

* Thu Jul 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1902-1m)
- update to 1.1902

* Sat Jun 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1901-1m)
- update to 1.1901

* Sat Jun 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.19-1m)
- update to 1.19

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.18-2m)
- rebuild against gcc43

* Wed Apr  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.18-1m)
- update to 1.18

* Tue Apr  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-1m)
- update to 1.17

* Sun Jan  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-1m)
- update to 1.16

* Sat Jun  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.15-1m)
- update to 1.15

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.14-2m)
- use vendor

* Sun Apr  8 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.14-1m)
- update to 1.14

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.13-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
